Subject: Re: linux-next: Tree for Mar 3

From: Sudip Mukherjee <[email-masked]>
Date: Thu, 3 Mar 2016 16:48:01 +0530

On Thu, Mar 03, 2016 at 04:30:18PM +0530, Sudip Mukherjee wrote:
> On Thu, Mar 03, 2016 at 05:09:26PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20160302:
> 
> With next-20160301 and next-20160302 I am having problem in allmodconfig
> build of x86_64. The error being:
> 
> In file included from builtin-check.c:32:0:
> elf.h:22:18: fatal error: gelf.h: No such file or directory
> compilation terminated.
> In file included from elf.c:30:0:
> elf.h:22:18: fatal error: gelf.h: No such file or directoryIn file
> included from special.h:22:0,
> 	                  from special.c:26:
> elf.h:22:18: fatal error: gelf.h: No such file or directory
> compilation terminated.
> 
> I have intsalled libelf-dev and now make allmodconfig && make -j8 works
> but if I am trying make O=nextbuild allmodconfig && make O=nextbuild -j8
> it again fails with the error:
> scripts/Makefile.include:3: *** O=nextbuild does not exist.  Stop.
> 
> But this has been my normal workflow and I do have a valid directory
> called nextbuild.
> 
> Am i the only one hitting this error? Do i need to bisect or it is a
> known issue?

Well, the fastest bisect I have ever done. :)
bisect shows the first bad commit as:
d4883d5d6b14 ("objtool: Enable stack metadata validation on 64-bit x86")

After reverting it the issue I am facing is fixed.

Adding Cc to:  Josh Poimboeuf, Ingo Molnar and Andrew Morton

regards
sudip